%define major_version 2.24
%define gtkhtml_version_required 3.23.5
%define gnomepilot_version_required 2.0.14
%define gnomespell_version_required 1.0.5
%define libsoup_version_required 2.3.0
%define eds_version_required 2.23.91
%define with_mono 1
%{?_without_mono:	%{expand: %%global with_mono 0}}
%{?_with_mono:	%{expand: %%global with_mono 1}}


# disable underlinking check, because upstream has split libraries in such a strange way you can't build with no_undefined
%define _disable_ld_no_undefined 0

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book
Version: 2.24.0
Release: %mkrel 2
License: 	LGPLv2+
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source2:	evolution_48.png
Source3:	evolution_32.png
Source4:	evolution_16.png
Patch:		evolution-2.2.3-no-diagnostics.patch
# (fc) 1.5.94.1-4mdk import welcome mail from indexhtml
Patch17:	evolution-2.11.3-firstmail.patch
# (fc) 2.2.3-5mdk enable autocompletion on personal addressbook when creating it (Mdk bug #16427)
Patch18:	evolution-2.2.3-defaultcompletion.patch
# (fc) 2.11.92-3mdv configure default sound notification (Mdv bug #29414)
Patch21:	evolution-2.11.92-soundnotification.patch
# (fc) 2.22.0-4mdv set back spamassassin as default spam software (typo in gconf key from upstream)
Patch24:	evolution-2.22.0-spamassassin.patch
# (fc) 2.24.0-2mdv various SVN fixes
Patch25:	evolution-2.24.0-svnfixes.patch

URL: 		http://www.gnome.org/projects/evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: evolution-data-server >= %{eds_version_required}
Requires: gtkhtml-3.14 >= %{gtkhtml_version_required}
Requires: gnome-spell >= %{gnomespell_version_required}
Requires: gnupg
Requires: scrollkeeper >= 0.3
Requires: gtk+2.0 >= 2.4.0
Requires: indexhtml >= 10.1
Suggests: gstreamer0.10-plugins-good
Suggests: gnome-audio
Suggests: spamassassin
BuildRequires: bison flex
BuildRequires: dbus-glib-devel
BuildRequires: evolution-data-server-devel >= %{eds_version_required}
BuildRequires: gnome-pilot-devel >= %{gnomepilot_version_required}
BuildRequires: gtk+2-devel >= 2.4.0
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: krb5-devel 
BuildRequires: libgnomeui2-devel
BuildRequires: gstreamer0.10-devel
BuildRequires: gtkhtml-3.14-devel >= %{gtkhtml_version_required}
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: nss-devel 
BuildRequires: openldap-devel 
BuildRequires: hal-devel
BuildRequires: libnotify-devel >= 0.3.0
#gw needed by the tnef plugin
BuildRequires: libytnef-devel
BuildRequires: gnome-icon-theme
BuildRequires: gnome-doc-utils
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils
#gw if we run aclocal
BuildRequires: gnome-common

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 

%package -n %{name}-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
# gw all other devel deps are expressed by pkgconfig() deps
Requires:  gtkhtml-3.14-devel >= %{gtkhtml_version_required}
Obsoletes:	libevolution0-devel
Provides:	libevolution0-devel

%description -n %{name}-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	%{name} = %{version}-%{release}
Requires:   gnome-pilot >= %{gnomepilot_version_required}

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to 
synchronize your Palm with Evolution

%if %with_mono
%package mono
Summary: Mono plugin loader for Evolution
Group: Communications
BuildRequires: mono-devel
Requires: %name = %version
Requires: mono

%description mono
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This is the Mono plugin loader that adds support for plugins developed 
with mono.
%endif

%prep
%setup -q
%patch -p1 -b .diagnostics
%patch17 -p1 -b .firstmail
%patch18 -p1 -b .defaultcompletion
%patch21 -p1 -b .defaultsound
%patch24 -p1 -b .spamassassin
%patch25 -p1 -b .svnfixes

%build
%configure2_5x --enable-pilot-conduits=yes \
--enable-plugins=experimental \
--with-krb5=%{_prefix} --with-krb5-libs=%{_libdir} --without-krb4 \
--with-openldap=yes --with-static-ldap=no --with-sub-version="-%{release}" --enable-ipv6 --enable-default_binary \
%if %with_mono
--enable-mono=yes
%endif

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/evolution.png
cp -f %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/evolution.png
cp -f %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/evolution.png

desktop-file-install --vendor="" \
  --remove-category="Office" \
  --remove-category="Calendar" \
  --remove-category="ContactManagement" \
  --add-category="Network" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/evolution.desktop

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ 

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/evolution-alarm-notify.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Evolution Alarm Notifier
Comment=Evolution Alarm Notifier
Icon=stock_alarm
Exec=%{_libdir}/evolution/%{major_version}/evolution-alarm-notify
Terminal=false
Type=Application
OnlyShowIn=GNOME;
Categories=
EOF

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/components/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/plugins/*.la \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/camel-providers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/conduits/*.la \
 %buildroot/var/lib/


%{find_lang} %{name}-%{major_version} --with-gnome
%{find_lang} %{name} --with-gnome
cat %name.lang >> %{name}-%{major_version}.lang

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%define schemas apps-evolution-external-editor apps_evolution_email_custom_header apps-evolution-mail-notification apps-evolution-mail-prompts-checkdefault apps_evolution_addressbook apps_evolution_calendar apps_evolution_shell bogo-junk-plugin evolution-mail apps-evolution-attachment-reminder apps-evolution-template-placeholders


%if %mdkversion < 200900
%post
%{update_scrollkeeper}
%{update_menus}
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%{clean_scrollkeeper}
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}-%{major_version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/*.desktop
%_sysconfdir/gconf/schemas/apps-evolution-external-editor.schemas
%_sysconfdir/gconf/schemas/apps_evolution_email_custom_header.schemas
%_sysconfdir/gconf/schemas/apps-evolution-mail-notification.schemas
%_sysconfdir/gconf/schemas/apps-evolution-mail-prompts-checkdefault.schemas
%_sysconfdir/gconf/schemas/apps-evolution-template-placeholders.schemas
%_sysconfdir/gconf/schemas/apps_evolution_addressbook.schemas
%_sysconfdir/gconf/schemas/apps-evolution-attachment-reminder.schemas
%_sysconfdir/gconf/schemas/apps_evolution_calendar.schemas
%_sysconfdir/gconf/schemas/apps_evolution_shell.schemas
%_sysconfdir/gconf/schemas/bogo-junk-plugin.schemas
%_sysconfdir/gconf/schemas/evolution-mail.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{major_version}
%dir %{_libdir}/evolution/%{major_version}/components
%{_libdir}/evolution/%{major_version}/csv2vcard
%{_libdir}/evolution/%{major_version}/evolution-addressbook-clean
%{_libdir}/evolution/%{major_version}/evolution-addressbook-export
%{_libdir}/evolution/%{major_version}/components/*.so
%{_libdir}/evolution/%{major_version}/*.so.*
%{_libdir}/evolution/%{major_version}/evolution-alarm-notify
%{_libdir}/evolution/%{major_version}/evolution-backup
%{_libdir}/evolution/%{major_version}/killev
%dir %{_libdir}/evolution/%{major_version}/plugins
 %{_libdir}/evolution/%{major_version}/plugins/attachment-reminder.glade
 %{_libdir}/evolution/%{major_version}/plugins/libmail-account-disable.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-addressbook-file.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-audio-inline.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-b*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-c*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-d*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-email-custom-header.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-attachment-reminder.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-bbdb.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-caldav.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-google.so

 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-hula*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-webdav*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-external-editor.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-face*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-imap*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-ipod-sync-evolution.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-mail-attachments-import-ics.so
# %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-mail-remote.so
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-evolution-startup-wizard*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-exchange-operations.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-g*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-itip-formatter.*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-m*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-p*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-s*
 %{_libdir}/evolution/%{major_version}/plugins/liborg-gnome-t*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-a*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-b*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-c*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-d*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-email-custom-header.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-attachment-reminder.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-bbdb.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-caldav.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-google.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-hula-account-setup.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-mail-attachments-import-ics.eplug
# %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-mail-remote.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-startup-wizard.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-evolution-webdav.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-exchange*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-external-editor.*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-face*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-folder-permissions.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-folder-subscription.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-groupwise-features.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-gw-account-setup.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-itip-formatter.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-imap*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-ipod-sync-evolution.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-notification*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-account-disable.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-folder-unsubscribe.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-to-meeting.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-to-task.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mail-to-task.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mailing-list-actions.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mailing-list-actions.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mark-all-read.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-mark-calendar-offline.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-plugin-manager.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-plugin-manager.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-publish-calendar.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-publish-calendar.xml
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-prefer-plain.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-sa-junk-plugin.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-save-attachments.*
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-save-calendar.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-select-one-source.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-subject-thread.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-subject-thread.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-templates.eplug
 %{_libdir}/evolution/%{major_version}/plugins/org-gnome-tnef-attachments.eplug
 %{_libdir}/evolution/%{major_version}/plugins/*.glade
%{_datadir}/applications/*
%{_datadir}/evolution
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%_datadir/icons/hicolor/*/apps/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/omf/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/evolution/%{major_version}/*.so
%{_libdir}/evolution/%{major_version}/*.la

%if %with_mono
%files mono
%defattr(-, root, root)
%{_libdir}/evolution/%{major_version}/plugins/*mono*
%endif

%files pilot
%defattr(-, root, root)
%dir %{_libdir}/evolution/%{major_version}/conduits
%{_libdir}/evolution/%{major_version}/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*


%changelog
* Wed Oct 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.0-2mdv2009.0
+ Revision: 290542
- Patch25 (SVN): various bug fixes from SVN

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286599
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282544
- new version
- update license

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278340
- new version
- bump e-d-s dep

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273802
- new version
- bump e-d-s dep

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263305
- new version
- bump deps
- update file list

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240261
- new version
- bump deps
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231292
- new version
- bump deps
- update file list

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3.1-1mdv2009.0
+ Revision: 230369
- new version
- drop patch 1

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230258
- drop patch 25
- drop patch 26
- new version
- update license
- fix help build
- disable --no-undefined

* Wed Jun 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.2-5mdv2009.0
+ Revision: 228931
- Force rebuild

* Mon Jun 23 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.2-4mdv2009.0
+ Revision: 227988
- Force rebuild on all archs

* Tue Jun 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.2-3mdv2009.0
+ Revision: 222940
- Disable patch25 until evolution is fixed regarding underlinking

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.2-2mdv2009.0
+ Revision: 215256
- Patch26 (SVN): various bug fixes, including CVE-2008-1108 and CVE-2008-1109
- Release 2.22.2

  + Götz Waschk <waschk@mandriva.org>
    - fix linking

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.1-1mdv2009.0
+ Revision: 201171
- new version
- drop patch 1

* Tue Apr 29 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-2mdv2009.0
+ Revision: 198928
- fix missing Cc header (b.g.o #502913)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192468
- new version
- drop patches 22,23

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 191395
- Patch23: various fixes from SVN
- Remove old patch23 (merged in new patch23)
- Patch24: set back spamassassin as default spam software

* Tue Mar 18 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 188455
- rebuild for missing package

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 188327
- Fix buildrequires needed by autoreconf
- Patch22: fix TNEF plugin screwing locale (Mdv bug #38901, GNOME bug #501885)
- Patch23 (SVN): fix crash when invalid mimetype is found (GNOME bug #460204)

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183331
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-2mdv2008.1
+ Revision: 175372
- rebuild, the package was missing on x86_64

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175123
- new version
- bump deps

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 165916
- fix devel deps

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165407
- fix buildrequires
- new version
- bump deps

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159676
- new version
- bump deps

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151935
- new version
- drop patch 1
- bump deps
- update file list

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-3mdv2008.1
+ Revision: 139672
- fix for bug #36319 of the google calendar plugin

* Thu Dec 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.21.4-2mdv2008.1
+ Revision: 138209
- rebuilt against new bdb and openldap libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 131210
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 115223
- new version

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108575
- new version
- drop patch 1

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103494
- fix build of the mail-remote plugin
- new version
- new major version
- bump e-d-s dep
- patch to disable broken mail-remote plugin
- add new buildrequires
- add new plugins

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 98453
- new version
- drop patch 22

* Tue Sep 25 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdv2008.0
+ Revision: 92855
- Patch22: force build of backup-restore plugin (Mdv bug #34096)

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdv2008.0
+ Revision: 90417
- Autostart evolution alarm notification under GNOME at login time
- Replace hard dependency on spamassassin with suggests

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch 19
    - update file list

* Thu Sep 13 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-3mdv2008.0
+ Revision: 85284
- Patch20: don't show "submit bug report" in Help menu
- Patch21: set default email notification sound to the one from gnome-audio and suggests gnome-audio (notification is not enabled by default) (Mdv bug #29414)
- Improve patch19, only listen to playbin state change, fix button sensitivity flickering

* Tue Sep 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-2mdv2008.0
+ Revision: 79388
- Remove patch23 (merged in patch19)
- Patch19: port audio-inline plugin to gstreamer 0.10 (GNOME bug #329629)

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 2.11.92-1mdv2008.0
+ Revision: 78861
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.11.91-1mdv2008.0
+ Revision: 72091
- new version
- update file list

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove multiple version of .desktop for new menu structure

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.11.90-1mdv2008.0
+ Revision: 63166
- new version
- bump deps

  + Funda Wang <fundawang@mandriva.org>
    - drop old menu

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.11.6.1-1mdv2008.0
+ Revision: 57383
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 57019
- new version
- bump deps
- update file list

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 50836
- new version
- update file list

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 41048
- new version
- drop wrong obsoletes on mail-notification-evolution

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 36875
- fix gconf schema installation

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 36738
- new version
- bump deps
- update patch 17
- drop patches 24,25,26,27
- update file list

* Mon Jun 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdv2008.0
+ Revision: 35169
- Patch27 (SVN): prevent camel warning about null parameter (GNOME bug #439957)

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdv2008.0
+ Revision: 32146
- new version

* Wed May 23 2007 Pascal Terjan <pterjan@mandriva.org> 2.10.1-2mdv2008.0
+ Revision: 30075
- Fix a crash when opening as new mail a sent encrypted mail (Gnome bug #315012)

  + Götz Waschk <waschk@mandriva.org>
    - fix deps of the devel package

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdv2008.0
+ Revision: 14042
- new version
- drop patch 26


* Tue Apr 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdv2007.1
+ Revision: 150322
- Remove bug-buddy entries for additional .desktop, they are useless and will confuse bug-reporter

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdv2007.1
+ Revision: 149268
- Patch26:  security fix for CVE-2007-1002

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdv2007.1
+ Revision: 149140
- Fix bug-buggy executable info

* Wed Mar 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdv2007.1
+ Revision: 147482
- Remove some categories from .desktop
- add more info for bug-buggy in .desktop

  + Götz Waschk <waschk@mandriva.org>
    - fix gnome help call (bug #29703)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.1
+ Revision: 143226
- new version
- we now depend on gtkhtml-3.14

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.92-1mdv2007.1
+ Revision: 126160
- fix buildrequires
- new version
- new icons

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.9.91-1mdv2007.1
+ Revision: 120106
- new version

  + Pascal Terjan <pterjan@mandriva.org>
    - fix IMAP command when requesting custom headers (GNOME bug #400841)

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.9.6-1mdv2007.1
+ Revision: 112233
- fix buildrequires
- new version
- drop patch 25
- add new imap plugin
- reenable gtk-doc

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.9.4-2mdv2007.1
+ Revision: 109604
- emergency rebuild without gtk-doc
- rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 99495
- new version
- bump deps

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.9.3-2mdv2007.1
+ Revision: 92166
- rebuild

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 91149
- fix buildrequires
- new version
- bump deps
- add new files

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-5mdv2007.1
+ Revision: 88946
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-4mdv2007.1
+ Revision: 88288
- bot rebuild

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-3mdv2007.1
+ Revision: 87903
- fix buildrequires for x86_64
- bot rebuild
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.8.2.1-1mdv2007.1
+ Revision: 86150
- new version
- update file list
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.8.1-3mdv2007.1
+ Revision: 63825
- rebuild
- unpack patches
- Import evolution

* Tue Oct 10 2006 Gtz Waschk <waschk@mandriva.org> 2.8.1-1mdv2007.1
- fix buildrequires
- New version 2.8.1

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- New release 2.8.0
- bump deps
- Patch25 (Nathan Owens): fix support with pilot-link 0.12

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.92-1mdv2007.0
- Release 2.7.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.7.91-1mdv2007.0
- New release 2.7.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.7.90-1mdv2007.0
- bump deps
- New release 2.7.90

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-2mdv2007.0
- Rebuild with latest libgail

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.7.4-1mdv2007.0
- bump deps
- New release 2.7.4

* Fri Jun 30 2006 Gtz Waschk <waschk@mandriva.org> 2.7.3-1mdv2007.0
- drop patches 25,26
- fix xdg menu comments
- New release 2.7.3

* Tue Jun 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-4mdv2007.0
- Switch to XDG menu
- rename .desktop file into a non versioned name
- use new macros

* Sat Jun 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-3mdv2007.0
- Update patch25 with additionnal fix

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-2mdv2007.0
- Patch25 (CVS): fix e-table header crash (Mdv bug #22991) (GNOME bug #343764)
- Patch26 (CVS): fix crash in e-map (GNOME bug #331743)

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.2.1-1mdv2007.0
- Release 2.7.2.1

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 2.6.2-1mdv2007.0
- drop patch 25
- New release 2.6.2

* Fri May 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-2mdk
- Patch25 (CVS): fiv various exchange plugin bugs (including mdk bug #22398)

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-1mdk
- Release 2.6.1
- Regenerate patch17
- Patch24: fix eplugin warning

* Thu Jan 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.2.1-3mdk
- Fix buildrequires when both gstreamer 0.8 and 0.10 are available

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 2.4.2.1-2mdk
- rebuild for new dbus

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 2.4.2.1-1mdk
- drop patch 24
- New release 2.4.2.1
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-3mdk
- Patch24 (CVS): many bug fixes from CVS

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdk
- Rename .desktop file to a non-versioned name

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdk
- New release 2.4.2

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-4mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-3mdk
- Rebuild with new dbus

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.4.1-2mdk
- add mono support (disabled by default)

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdk
- Release 2.4.1
- Remove patches 19, 20, 21, 22, 24 (merged upstream)
- Regenerate patch 23

* Thu Sep 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-10mdk 
- Patch22: fix inline audio plugin extension
- Patch23 (CVS): various crashes fixes from CVS

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.2.3-9mdk
- rebuild to remove glitz dep

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.3-8mdk
- Rebuild for libldap2.3

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-7mdk 
- Patch22: fix vulnerability SA05-001

* Mon Aug 08 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.3-6mdk
- add BuildRequires: dbus-devel gtk-doc intltool libgstreamer-devel

* Thu Jul 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-5mdk 
- Patch18: enable autocompletion on personal addressbook when
  creating it (Mdk bug #16427)
- Patch19: Remove e-shell-startup-wizard, now handled by e-plugins.
- Patch20: fix startup wizard, exit evolution when closed by WM, remove some
  warnings
- Patch21: add missing header
- Remove .la files for plugins

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.3-4mdk
- rebuilt without krb4

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.3-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Tue Jun 07 2005 Gtz Waschk <waschk@mandriva.org> 2.2.3-2mdk
- fix the csv2vcard script to make evo installable

* Mon Jun 06 2005 Gtz Waschk <waschk@mandriva.org> 2.2.3-1mdk
- drop patch 18
- New release 2.2.3

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-3mdk 
- Applying patch usually works better..

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdk 
- Patch18: really kill evolution-data-server when using --force-shutdown
- fix url

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk 
- Release 2.2.2 (based on Gtz Waschk package)
- Remove patches 15 (no longer needed), 18 (merged upstream)

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-3mdk 
- Patch18 (CVS): security fix for mail crasher
- Drop patch 2 (no longer needed)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk 
- Add multiple menu entries (Mdk bug #13850)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk 
- Release 2.0.4
- Remove patch18 (merged upstream)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-4mdk 
- Patch18 (CVS): Security fix for CAN-2005-0102

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-3mdk
- rebuild for ldap2.2_7

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- New release 2.0.2
- Remove patches 16, 30, 31, 32, 33, 34, 35 (merged upstream)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch33 (CVS): fix crash with null UID
- Patch34 (CVS): don't crash when deleting addressbook
- Patch35 (CVS): fix potential crash when migration from 1.2

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patches 18->29, 31->34 (merged upstream)
- Patch31 (CVS): fix iTip crash
- Patch32 (CVS): fix popup location

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Update patch18 with a new version
- Update patch24 with another conduit fix
- Patch29: fix IPv6 support
- Patch30: fix vcard import
- Patch31: don't allow system calendar deletion
- Patch32: don't crash on empty tasks
- Patch33: fix basic authentication for http
- Patch34: select right account when replying on maildir

* Thu Sep 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Enable patch18 with a new version
- Patch19: fix duplicated folders when using Maildir
- Patch20: SSL is now cancellable and asynchronous
- Patch21: fix saving tree state
- Patch22: fix week view
- Patch23: fix crash on event deletion
- Patch24: fix calendar conduit on monthly recurrence
- Patch25: fix crash on view change
- Patch26: fix notification on event
- Patch27: fix alarm notification around midnight
- Patch28: i18n folder

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Disable patch18, it causes regression on HTML sent by mozilla
- Remove patches 19, 20, 21 (merged upstream)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-4mdk
- ipv6 is back, bug fixed in glibc (Mdk bug #10929)
- Patch17 : get welcome mail from indexhtml (and remove source7)
- Patch18 (CVS): fix mutipart decoding (Mdk bug #10507)
- Patch19 (CVS): fix smime certification import
- Patch20: disable development splash
- Patch21 (CVS): fix crash in alarm notification

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-3mdk
- Enable libtoolize, relinking at install seems fixed

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-2mdk
- Patch16 (Rodrigo): enable local calendar/todo when migrating

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.94.1-1mdk
- Release 1.5.94.1
- Remove patches 16, 17, 18 (merged upstream)

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-4mdk
- Rebuild with latest libsoup

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-3mdk
- Disable IPv6 support, it seems to trigger strange crashes (Mdk bug #10929)

* Sat Aug 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-2mdk
- Patch16: various bub fixes in importer
- Patch17: fix error in gu po, causing gconf warning
- Patch18: fix warnings when using GTK+2.4

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.93-1mdk
- Release 1.5.93
- Remove patches 3 (another solution merged upstream), 20 & 22(merged upstream)

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.92.2-2mdk
- Rebuild with latest eds

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92.2-1mdk
- new version

* Fri Aug 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92.1-1mdk
- drop patch 23
- new version

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.92-1mdk
- bump deps
- new version

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.91-2mdk
- Remove patch 21 (merged upstream)

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.91-1mdk
- bump deps
- rediff patch 21
- new version

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-4mdk
- Patch22 (Fedora): use new GTK filechooser

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-3mdk
- Enforce gal library dependency (Mdk bug #10248)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.90-2mdk
- Patch21 : fix i18n issues with schema (Mdk bug #10160)

* Wed Jul 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.90-1mdk
- update file list
- bump deps
- New release 1.5.90

* Sat Jun 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.2-2mdk
- fix buildrequires

* Fri Jun 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.2-1mdk
- requires new eds
- New release 1.5.9.2

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.9.1-1mdk
- add new files
- requires new eds, gtkhtml, gal
- new version

* Sun May 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.8-1mdk
- drop merged patches 21,22
- rediff patches 2,15
- requires new eds
- new version

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5.7-3mdk
- fix autoconf call
- fix URL
- bump deps
- rebuild against new gtkhtml

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.7-2mdk
- Patch22 (CVS): fix crash when doubleclicking mail
- Fix devel dependency (Austin)
- Requires spamassassin (it is recommended to also install spamc/spamd)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.7-1mdk
- Release 1.5.7
- Remove patches 10, 18, 21 (no longer relevant), 19 (merged upstream)
- Patch21: fix crash when migratng from 1.4.x

